uvcvideo: Failed to query (GET_INFO) UVC control 4 on unit 2: -32 (exp. 1).

Bug #1791908 reported by corrado venturini on 2018-09-11
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

at each boot I see the messages:
10:34:47 kernel: uvcvideo: Failed to query (GET_INFO) UVC control 4 on unit 2: -32 (exp. 1).
10:34:47 kernel: uvcvideo: Failed to query (GET_INFO) UVC control 4 on unit 1: -32 (exp. 1).
10:34:46 kernel: uvcvideo: Failed to query (GET_INFO) UVC control 2 on unit 1: -32 (exp. 1).

this happen on a partition running Ubuntu 18.10 kernel 4.18.0-7-generic but not on the partition running Ubuntu 18.04 kernel 4.15.0-34 on same hardware

The integrated webcam works fine and i don't have other webcam connected.

corrado@corrado-HP-p6-cc-0904:~$ uname -a
Linux corrado-HP-p6-cc-0904 4.18.0-7-generic #8-Ubuntu SMP Tue Aug 28 18:24:42 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-HP-p6-cc-0904:~$ inxi -Fx
System: Host: corrado-HP-p6-cc-0904 Kernel: 4.18.0-7-generic x86_64 bits: 64 compiler: gcc v: 8.2.0
           Desktop: Gnome 3.30.0 Distro: Ubuntu 18.10 (Cosmic Cuttlefish)
Machine: Type: Laptop System: Hewlett-Packard product: HP 250 G3 Notebook PC v: 0991100000000000000600087
           serial: <root required>
           Mobo: Hewlett-Packard model: 2211 v: 86.49 serial: <root required> UEFI: Insyde v: F.36
           date: 12/18/2014
Battery: ID-1: BAT1 charge: 20.9 Wh condition: 20.9/20.9 Wh (100%) model: 13-42 OA03031 status: Full
CPU: Topology: Dual Core model: Intel Core i5-4210U bits: 64 type: MT MCP arch: Haswell rev: 1
           L2 cache: 3072 KiB
           flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 19155
           Speed: 1024 MHz min/max: 800/2700 MHz Core speeds (MHz): 1: 1098 2: 1098 3: 1097 4: 1101
Graphics: Device-1: Intel Haswell-ULT Integrated Graphics driver: i915 v: kernel bus ID: 00:02.0
           Display: x11 server: X.Org 1.20.1 driver: i915 resolution: 1366x768~60Hz
           OpenGL: renderer: Mesa DRI Intel Haswell Mobile v: 4.5 Mesa 18.1.5 direct render: Yes
Audio: Device-1: Intel Haswell-ULT HD Audio driver: snd_hda_intel v: kernel bus ID: 00:03.0
           Device-2: Intel 8 Series HD Audio driver: snd_hda_intel v: kernel bus ID: 00:1b.0
           Sound Server: ALSA v: k4.18.0-7-generic
Network: Device-1: Realtek RTL810xE PCI Express Fast Ethernet driver: r8169 v: 2.3LK-NAPI port: 3000
           bus ID: 08:00.0
           IF: enp8s0 state: down mac: 5c:b9:01:06:ba:ce
           Device-2: Ralink RT3290 Wireless 802.11n 1T/1R PCIe driver: rt2800pci v: 2.3.0 bus ID: 09:00.0
           IF: wlp9s0f0 state: up mac: ac:d1:b8:82:03:5d
Drives: Local Storage: total: 465.76 GiB used: 16.78 GiB (3.6%)
           ID-1: /dev/sda vendor: Seagate model: ST500LT012-1DG142 size: 465.76 GiB
Partition: ID-1: / size: 31.25 GiB used: 5.99 GiB (19.2%) fs: ext4 dev: /dev/sda6
           ID-2: swap-1 size: 4.00 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/sda2
Sensors: System Temperatures: cpu: 40.0 C mobo: 40.0 C
           Fan Speeds (RPM): N/A
Info: Processes: 198 Uptime: 17m Memory: 3.79 GiB used: 1.02 GiB (26.9%) Init: systemd runlevel: 5
           Compilers: gcc: N/A Shell: bash v: 4.4.19 inxi: 3.0.22
corrado@corrado-HP-p6-cc-0904:~$
---
ProblemType: Bug
ApportVersion: 2.20.10-0ubuntu9
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: corrado 2680 F.... pulseaudio
 /dev/snd/controlC1: corrado 2680 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.10
InstallationDate: Installed on 2018-09-05 (6 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180903)
MachineType: Hewlett-Packard HP 250 G3 Notebook PC
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-7-generic root=UUID=451b1d0c-94ef-4cbc-bc70-c33f546fa75e ro quiet splash
ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-7-generic N/A
 linux-backports-modules-4.18.0-7-generic N/A
 linux-firmware 1.175
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: cosmic
Uname: Linux 4.18.0-7-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 12/18/2014
dmi.bios.vendor: Insyde
dmi.bios.version: F.36
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 2211
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 86.49
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.36:bd12/18/2014:svnHewlett-Packard:pnHP250G3NotebookPC:pvr0991100000000000000600087:rvnHewlett-Packard:rn2211:rvr86.49:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.family: 103C_5336AN G=N L=CON B=HP S=PAV
dmi.product.name: HP 250 G3 Notebook PC
dmi.product.sku: J4R70EA#ABZ
dmi.product.version: 0991100000000000000600087
dmi.sys.vendor: Hewlett-Packard

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1791908

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: cosmic

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

still with a new install from Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180911)

Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.482120] uvcvideo: Found UVC 1.00 device HP Webcam (064e:9320)
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.482210] uvcvideo: Failed to query (GET_INFO) UVC control 2 on unit 1: -32 (exp. 1).
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.482830] uvcvideo: Failed to query (GET_INFO) UVC control 4 on unit 1: -32 (exp. 1).
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.485705] uvcvideo: Failed to query (GET_INFO) UVC control 4 on unit 2: -32 (exp. 1).
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.492589] uvcvideo 1-1.5:1.0: Entity type for entity Extension 4 was not initialized!
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.492593] uvcvideo 1-1.5:1.0: Entity type for entity Extension 7 was not initialized!
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.492596] uvcvideo 1-1.5:1.0: Entity type for entity Processing 2 was not initialized!
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.492599] uvcvideo 1-1.5:1.0: Entity type for entity Camera 1 was not initialized!
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.492713] input: HP Webcam: HP Webcam as /devices/pci0000:00/0000:00:1d.0/usb1/1-1/1-1.5/1-1.5:1.0/input/input11
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.492804] usbcore: registered new interface driver uvcvideo
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.492806] USB Video Class driver (1.1.1)
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.522852] AVX2 version of gcm_enc/dec engaged.
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.522854] AES CTR mode by8 optimization enabled
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.583838] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 3290, rev 0015 detected
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.591877] ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 3290 detected
Sep 12 11:33:17 corrado-HP-p7-cc-0911 kernel: [ 11.921877] input: HDA Intel HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:03.0/sound/card0/input12

Problem DOES NOT OCCUR on a different hardware Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180911)

mao@mao-HP-p6-cc-0911:~$ inxi -SCMx
System: Host: mao-HP-p6-cc-0911 Kernel: 4.18.0-7-generic x86_64 bits: 64 compiler: gcc
           v: 8.2.0 Desktop: Gnome 3.30.0 Distro: Ubuntu 18.10 (Cosmic Cuttlefish)
Machine: Type: Laptop System: Hewlett-Packard product: HP 620 v: F.20 serial: <root required>
           Mobo: Hewlett-Packard model: 1526 v: KBC Version 71.0E serial: <root required>
           BIOS: Hewlett-Packard v: 68PVI Ver. F.20 date: 12/12/2011
CPU: Topology: Dual Core model: Pentium T4500 bits: 64 type: MCP arch: Penryn rev: A
           L2 cache: 1024 KiB
           flags: lm nx pae sse sse2 sse3 ssse3 bogomips: 9177
           Speed: 1197 MHz min/max: 1200/2300 MHz Core speeds (MHz): 1: 1197 2: 1197
mao@mao-HP-p6-cc-0911:~$

Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 15.392516] Bluetooth: SCO socket layer initialized
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 15.709051] media: Linux media interface: v0.10
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 15.762118] intel_powerclamp: No package C-state available
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 15.848378] usbcore: registered new interface driver btusb
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.140190] Bluetooth: hci0: hardware error 0x37
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.242507] videodev: Linux video capture interface: v2.00
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.520687] rt2800pci 0000:02:00.0 wls1: renamed from wlan0
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.911549] uvcvideo: Found UVC 1.00 device Villem (0461:4db6)
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.927776] uvcvideo 1-5:1.0: Entity type for entity Extension 4 was not initialized!
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.927780] uvcvideo 1-5:1.0: Entity type for entity Processing 3 was not initialized!
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.927782] uvcvideo 1-5:1.0: Entity type for entity Camera 1 was not initialized!
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.927894] input: Villem: HP Webcam [2 MP Fixed] as /devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5:1.0/input/input14
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.928028] usbcore: registered new interface driver uvcvideo
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 16.928029] USB Video Class driver (1.1.1)
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 17.178613] audit: type=1400 audit(1536758282.756:2): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/sbin/dhclient" pid=475 comm="apparmor_parser"
Sep 12 15:18:13 mao-HP-p6-cc-0911 kernel: [ 17.178620] audit: type=1400 audit(1536758282.756:3): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=475 comm="apparmor_parser"

Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19-rc3

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

yes, this issue start happening after an upgrade, the problem was not present with installation from some old ISO and happen with all installations from recent ISO.
see also a similar bug for a different distribution: https://bugs.archlinux.org/task/59175.
will try to test the latest upstream kernel but i'm not an expert...

following instructions in https://wiki.ubuntu.com/Kernel/MainlineBuilds?action=show&redirect=KernelMainlineBuilds
i downloaded files from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19-rc3/
but i have an error:
corrado@corrado-HP-p7-cc-0911:~$ cd Downloads
corrado@corrado-HP-p7-cc-0911:~/Downloads$ ls
linux-headers-4.19.0-041900rc3_4.19.0-041900rc3.201809120832_all.deb
linux-headers-4.19.0-041900rc3-generic_4.19.0-041900rc3.201809120832_amd64.deb
linux-image-unsigned-4.19.0-041900rc3-generic_4.19.0-041900rc3.201809120832_amd64.deb
corrado@corrado-HP-p7-cc-0911:~/Downloads$ sudo dpkg -i linux-headers-4.19.0-041900rc3_4.19.0-041900rc3.201809120832_all.deb
[sudo] password for corrado:
Selecting previously unselected package linux-headers-4.19.0-041900rc3.
(Reading database ... 140343 files and directories currently installed.)
Preparing to unpack linux-headers-4.19.0-041900rc3_4.19.0-041900rc3.201809120832_all.deb ...
Unpacking linux-headers-4.19.0-041900rc3 (4.19.0-041900rc3.201809120832) ...
Setting up linux-headers-4.19.0-041900rc3 (4.19.0-041900rc3.201809120832) ...
corrado@corrado-HP-p7-cc-0911:~/Downloads$ sudo dpkg -i linux-headers-4.19.0-041900rc3-generic_4.19.0-041900rc3.201809120832_amd64.deb
Selecting previously unselected package linux-headers-4.19.0-041900rc3-generic.
(Reading database ... 157391 files and directories currently installed.)
Preparing to unpack linux-headers-4.19.0-041900rc3-generic_4.19.0-041900rc3.201809120832_amd64.deb ...
Unpacking linux-headers-4.19.0-041900rc3-generic (4.19.0-041900rc3.201809120832) ...
Setting up linux-headers-4.19.0-041900rc3-generic (4.19.0-041900rc3.201809120832) ...
corrado@corrado-HP-p7-cc-0911:~/Downloads$ sudo dpkg -i linux-image-unsigned-4.19.0-041900rc3-generic_4.19.0-041900rc3.201809120832_amd64.deb
Selecting previously unselected package linux-image-unsigned-4.19.0-041900rc3-generic.
(Reading database ... 168928 files and directories currently installed.)
Preparing to unpack linux-image-unsigned-4.19.0-041900rc3-generic_4.19.0-041900rc3.201809120832_amd64.deb ...
Unpacking linux-image-unsigned-4.19.0-041900rc3-generic (4.19.0-041900rc3.201809120832) ...
dpkg: dependency problems prevent configuration of linux-image-unsigned-4.19.0-041900rc3-generic:
 linux-image-unsigned-4.19.0-041900rc3-generic depends on linux-modules-4.19.0-041900rc3-generic; however:
  Package linux-modules-4.19.0-041900rc3-generic is not installed.

dpkg: error processing package linux-image-unsigned-4.19.0-041900rc3-generic (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-unsigned-4.19.0-041900rc3-generic
corrado@corrado-HP-p7-cc-0911:~/Downloads$

found an usb pen with an old ISO: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180729)
installed on a partition of same disk disconnected from internet to have an old kernel, problem does not occur. let me know if i can send syslog or other info.

installed new kernel
corrado@corrado-HP-p7-cc-0911:~$ uname -a
Linux corrado-HP-p7-cc-0911 4.19.0-041900rc3-generic #201809120832 SMP Wed Sep 12 12:35:08 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-HP-p7-cc-0911:~$
problem not fixed

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Kai-Heng Feng (kaihengfeng) wrote :

Please raise the issue to mailing list <email address hidden>.

Brian K. White (brian-aljex) wrote :

I get this too on a 5th gen Lenovo X1 Carbon and mainline kernel. 4.20.0-042000rc7-generic at he moment, but it's been happening for some time not just this exact kernel.

Brian K. White (brian-aljex) wrote :

Problem is intermittent for me.

When I posted my previous comment, I had just done a fresh boot from power-off (I never use hibernate or suspend, and don't even have any swap partition or swap file configured), and had gotten the error on that boot, and guvcvideo didn't work.

I just did 4 more power-off reboots (using "shutdown" from the LXDE shutdown menu, not "reboot" or "suspend" etc) , and I didn't get the error any of those times, and guvcvideo worked in each of those sessions.

Same kernel each time, (4.20.0-042000rc7-generic).
Two of the boots I pressed enter in grub to skip the grub timeout, 2 times I let grub time out, no difference.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers